module PaychexAPI
  class Client
    module Users
      def get_user_access(user_id, params = {})
        connection.headers[:accept] = "application/json;profile='http://api.paychex.com/profiles/user_access/v1'"
        get("#{API_PATH}#{USERS_PATH}/#{user_id}", params)
      end

      def get_user(user_id, params = {})
        get("#{API_PATH}#{USERS_PATH}/#{user_id}", params)
      end

      def get_user_workers(user_id, params = {})
        connection.headers[:accept] = "application/json;profile='http://api.paychex.com/profiles/workers/v1'"
        get("#{API_PATH}#{USERS_PATH}/#{user_id}#{WORKERS_PATH}", params)
      end
    end
  end
end
